@LICENCE@

#ifndef @HEADDEF@_H
#define @HEADDEF@_H

#include <ViewerExtension.h>

class @EXTENSIONCLASSNAME@ : public camitk::ViewerExtension {
    Q_OBJECT
    Q_INTERFACES(camitk::ViewerExtension);
    Q_PLUGIN_METADATA(IID "fr.imag.camitk.@EXTENSIONNAME@.viewer.@EXTENSIONCLASSNAME@")

public:
    /// Constructor
    @EXTENSIONCLASSNAME@() = default;

    /// Destructor
    virtual ~@EXTENSIONCLASSNAME@() = default;

    /// Method returning the viewer extension name
    virtual QString getName() const override {
        return "@EXTENSIONNAME@";
    };

    /// Method returning the viewer extension description
    virtual QString getDescription() const override {
        return "@EXTENSIONDESCRIPTION@";
    };

    /// initialize all the viewers
    virtual void init() override;

};

#endif // @HEADDEF@_H


